import { ConstructContainerEntryGenerator, ConstructFactoryGetInstanceProps, GenerateContainerEntryProps } from '@aws-amplify/plugin-types';
import { AmplifyStorage } from './construct.js';
import { StorageAccessOrchestratorFactory } from './storage_access_orchestrator.js';
import { AmplifyStorageFactoryProps } from './types.js';
/**
 * Generates a single instance of storage resources
 */
export declare class StorageContainerEntryGenerator implements ConstructContainerEntryGenerator {
    private readonly props;
    private readonly getInstanceProps;
    private readonly storageAccessOrchestratorFactory;
    readonly resourceGroupName = "storage";
    /**
     * Initialize with context from storage factory
     */
    constructor(props: AmplifyStorageFactoryProps, getInstanceProps: ConstructFactoryGetInstanceProps, storageAccessOrchestratorFactory?: StorageAccessOrchestratorFactory);
    generateContainerEntry: ({ scope, ssmEnvironmentEntriesGenerator, }: GenerateContainerEntryProps) => AmplifyStorage;
}
//# sourceMappingURL=storage_container_entry_generator.d.ts.map